use std::io::Read;
use crate::{errors::RunError, stack::StackVec};

pub fn getc(memory: &mut StackVec) {
    let char = std::io::stdin()
        .bytes()
        .next()
        .and_then(|result| result.ok())
        .map(|byte| byte as u16)
        .expect(&format!("{}", RunError::FailToGetCharFromConsole));
    
    memory.push(char);
}